<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hotent.portal.persistence.dao.PopupDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hotent.portal.model.Popup">
        <result column="ID_" property="id" />
        <result column="SUBJECT_" property="subject" />
        <result column="DATA_SOURCE_ALIAS_" property="dataSourceAlias" />
        <result column="ORDER_" property="order" />
        <result column="IS_ENABLE_" property="isEnable" />
        <result column="CREATE_TIME_" property="createTime" />
        <result column="URL_" property="url" />
        <result column="POPUP_TYPE_" property="popupType" />
        <result column="DIALOG_WIDTH_" property="dialogWidth" />
        <result column="DIALOG_HEIGHT_" property="dialogHeight" />
        <result column="SQL_" property="sql" />
        <result column="DESC_" property="desc" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID_, SUBJECT_, DATA_SOURCE_ALIAS_, ORDER_, IS_ENABLE_, CREATE_TIME_, URL_, POPUP_TYPE_, DIALOG_WIDTH_, DIALOG_HEIGHT_, SQL_, DESC_
    </sql>

</mapper>
